diff --git a/src/backend/postmaster/syslogger.c b/src/backend/postmaster/syslogger.c
new file mode 100644
index 4fb9aac..5b304a1
*** a/src/backend/postmaster/syslogger.c
--- b/src/backend/postmaster/syslogger.c
*************** SysLoggerMain(int argc, char *argv[])
*** 322,327 ****
--- 322,328 ----
  
  		/* Clear any already-pending wakeups */
  		ResetLatch(&sysLoggerLatch);
+ 		elog(LOG,"JJ logger woke up");
  
  		/*
  		 * Process any requests or signals received recently.
*************** pipeThread(void *arg)
*** 1057,1062 ****
--- 1058,1065 ----
  		{
  			bytes_in_logbuffer += bytesRead;
  			process_pipe_input(logbuffer, &bytes_in_logbuffer);
+ 			if (Log_RotationSize > 0 && ftell(syslogFile) >= Log_RotationSize * 1024L)
+ 				SetLatch(&sysLoggerLatch);
  		}
  		LeaveCriticalSection(&sysloggerSection);
  	}
